function h = addLetter( letter, xpos, ypos )
%% function addLetter( letter, xpos, ypos )
%
% Add a letter to a figure.
%
% Created in 2014 by S. Gliske (sgliske@umich.edu)
% Released under the CC-BY-NC-4.0 License
% http://creativecommons.org/licenses/by-nc/4.0/
%

if( nargin < 2 || isempty(xpos) )
   xpos = 0.01;
end

if( nargin < 3 || isempty(ypos) )
   ypos = 0.9;
end

h = annotation( 'textbox', [ xpos ypos 0.1 0.1], 'String', letter, 'FontSize', 18, 'FontWeight', 'bold', 'LineStyle', 'none' );

end