%%
% This script demonstrates how to make the plots similar to those shown in
% the figures of the paper.  As the blind source separation method is
% stochastic, the results will not be identical to those in the paper.
% Each script saves the results into an eps file in the plots subfolder.
%
% Created in 2018 by S. Gliske (sgliske@umich.edu)
% Released under the CC-BY-NC-4.0 License
% http://creativecommons.org/licenses/by-nc/4.0/
%

%% Components of Figure 1 & 3

plot_factorization( 'Mayo',      'Mayo-040',    'qHFO_v2.2', 1)  % A
plot_factorization( 'Control',   'Control-009', 'qHFO_v2.2', 1)  % B
plot_factorization( 'UMHS-NREM', 'UMHS-0010',   'qHFO_v2.2', 1)  % C
plot_factorization( 'UMHS-NREM', 'UMHS-0007',   'qHFO_v2.2', 2)  % D

%% Figure 2
plot_asyms( true, [], 'SOZ' )

%% Figure 5

plot_UMHS_0007

%% Figure 6

plot_categories( 'qHFO_v2.2' );
plot_categories( 'qHFO_v2.2_FR_200' );
plot_categories( 'other-HIL' );

%% Figure 7

plot_scan_UM_rec_time( 'qHFO_v2.2' );

%% Supplement, Figures 1-4

plot_asyms( true, 1, 'SOZ' );
plot_asyms( true, 2, 'SOZ' );
plot_asyms( true, 1, 'RV' );
plot_asyms( true, 2, 'RV' );

%% Supplement, Figures 5

plot_max_chan();

