function [w,h] = robust_nnmf( x, K )
%% function [w,h] = robust_nnmf( x, K )
%
% Interface to matlab's nnmf interface, with several options to make the
% method more robust.
%
% Created in 2016 by S. Gliske (sgliske@umich.edu)
% Released under the CC-BY-NC-4.0 License
% http://creativecommons.org/licenses/by-nc/4.0/

  opt = statset('maxiter',10,'display','off');
  [w,h] = nnmf(x,K,'rep',100,'opt',opt,'alg','mult');
  
  if( isfinite(cond(h)) )
      opt = statset('maxiter',1000,'display','off');
      [w,h] = nnmf(x,K,'w0',w,'h0',h,'opt',opt,'alg','als');

      if( ~any(w(:)) || ~any(h(:)) )
          opt = statset('maxiter',10,'display','off');
          [w,h] = nnmf(x,K,'rep',1000,'opt',opt,'alg','mult');
      end
  else
      opt = statset('maxiter',10,'display','off');
      [w,h] = nnmf(x,K,'rep',1000,'opt',opt,'alg','mult');
  end
end
